
public class Hanoi {
  public static void main(String[] args) {
    int antallRinger = 3;
    System.out.println("Flytter " + antallRinger + " ringer:");
    /* Flytt alle ringene fra pinne 1 til pinne 3 ved  bruke 2 som
     midlertidig lagringsplass. */
    flyttRinger(antallRinger, 1, 3, 2);
  }
  
  static void flyttRinger(int antall, int fra, int til, int tmp) {
    if (antall < 1)
      return; // Basistilfelle: Ingen ringer  flytte
    
    /* Frst flyttes de antall-1 nederste ringene over til "tmp"-pinnen.
     Bruk "til"-pinnen som midlertidig lagringsplass: */
    flyttRinger(antall-1, fra, tmp, til);
    
    // Ringene over er fjernet, og den nederste ringen kan flyttes:
    System.out.println(fra + " ---> " + til);
    
    /* De antall-1 ringene p "tmp"-pinnen kan n flyttes til
     "til"-pinnen. Bruk "fra"-pinnen som midlertidig lagringsplass: */
    flyttRinger(antall-1, tmp, til, fra);
  }
}
