import junit.framework.TestCase;

public class TestSort extends TestCase {

  private String[] array;

  public TestSort(String testMethodName) {
    super(testMethodName);
  }

  public void setUp() {
    array = new String[] { "This", "is", "not", "so", "difficult" };
  }

  public void testOrder() { // array[0] <= array[] <= ... <= array[n-1]
    Quicksort.sorter(array);
    for (int i = 1; i < array.length; i++) {
      int status = array[i-1].compareTo(array[i]);
      assertTrue("Not sorted. Check index: " + i, status <= 0);
    }
  }
}