import static org.junit.Assert.assertTrue;

import org.junit.Before;
import org.junit.Test;

public class TestSortJUnit4 {

  private String[] array;

  @Before
  public void initialize() {
    array = new String[] { "This", "is", "not", "so", "difficult" };
  }

  @Test
  public void elementOrder() { // array[0] <= array[] <= ... <= array[n-1]
    Quicksort.sorter(array);
    for (int i = 1; i < array.length; i++) {
      int status = array[i-1].compareTo(array[i]);
      assertTrue("Not sorted. Check index: " + i, status <= 0);
    }
  }
}